com.mysql.cj.protocol

## Interface WatchableStream

    public interface WatchableStream

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `setWatcher(OutputStreamWatcher watcher)`
`int` `size()`
`byte[]` `toByteArray()`
`void` `write(byte[] b, int off, int len)`

### Method Detail

#### setWatcher

    void setWatcher(OutputStreamWatcher watcher)

#### size

    int size()

#### toByteArray

    byte[] toByteArray()

#### write

    void write(byte[] b,
               int off,
               int len)

Copyright © 2016, 2025, Oracle and/or its affiliates.